#!/bin/bash

worldFolder=$1
	
mkdir ./world/$worldFolder
mkdir ./world/$worldFolder/duels
i=1;
for file in `find "./Standard/$worldFolder" -type f | grep "\#"| sort -R | head -50`;
do 
	level=`echo "Easy
Medium"| sort -R | head -1`
	#name=`echo $file | sed "s/.*\([0-9][0-9][0-9][0-9]\).*/\1/g"`;
	name=`ls ./icons/ | sort -R | head -1 | cut -d "." -f 1`
	
	echo "$name : $file"
	echo "[duel]
[metadata]
Name=$name
Title=$name
Icon=$name.jpg
Difficulty=$level
Description=$file
Deck Type=constructed
">./world/$worldFolder/duels/$i.dck
	tail -n +5 "$file" >> ./world/$worldFolder/duels/$i.dck
	i=$(( $i + 1 ));
done;

for file in `find "./Modern/$worldFolder" -type f | grep "\#"| sort -R | head -50`;
	do 
	level=`echo "Hard
Hard
Hard
Very Hard"| sort -R | head -1`
	#name=`echo $file | sed "s/.*\([0-9][0-9][0-9][0-9]\).*/\1/g"`;
	name=`ls ./icons/ | sort -R | head -1 | cut -d "." -f 1`
	
	echo "$name : $file"
	echo "[duel]
[metadata]
Name=$name
Title=$name
Icon=$name.jpg
Difficulty=$level
Description=$file
Deck Type=constructed
">./world/$worldFolder/duels/$i.dck
	tail -n +5 "$file" >> ./world/$worldFolder/duels/$i.dck
	i=$(( $i + 1 ));
done;



